body {
  font-family: sans-serif;
  font-size: 18px;
  color: rgba(255, 255, 255);
  background-color: rgb(190, 194, 195);
  margin: 0;
}

h2 {
  font-family: "Goblin One";
}
.container {
  display: grid;
  grid-template-columns: 1fr 5fr 2fr;
  grid-template-rows: auto;
  grid-template-areas:
    "header header header"
    "nav flex-content flex-content"
    "footer footer footer";
}

.header {
  grid-area: header;
  padding: 0;
  margin: 0;
  background: linear-gradient(
    45deg,
    rgb(38, 41, 46) 0%,
    rgb(48, 56, 68) 35%,
    rgb(167, 182, 207) 100%
  );
  color: rgb(225, 225, 226);
  border-bottom: solid;
  border-width: 5px;
  margin: 0;
  padding: 0;
}

.logo {
  border-bottom-style: solid;
  border-right-style: solid;
  box-shadow: 3px 4px rgb(18, 23, 27);
  border-color: rgba(0, 0, 0);
  border-width: 3px;
}

.tagline {
  grid-area: tagline;
  font-family: "Sunflower";
  font-style: italic;
  font-size: 22px;
  justify-self: center;
  float: right;
  padding: 50px 40px 70px 0;
  margin: 0;
}

.nav {
  grid-area: nav;
  padding: 30px;
}
.nav ul {
  list-style: none;
  text-align: center;
  margin: 0;
  padding: 0;
}

.nav li a {
  display: block;
  color: rgb(38, 41, 46);
  padding: 16px;
}

.nav a:hover {
  background-color: rgb(82, 71, 77);
  color: #fff;
  border-radius: 0 90px 0 90px;
}

.flex-content {
  grid-area: flex-content;
}

.flex-home {
  display: grid;
  grid-template-columns: 3fr 1fr;
  grid-template-rows: auto;
  grid-area: flex-home;
}

/*styles for main page*/

.splash-main {
  background-image: url("Images/Canoeb.JPG");
  filter: saturate(250%);
  filter: contrast(150%);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  padding-left: 40px;
  padding-right: 40px;
  padding-top: 100px;
}

.overlay {
  text-align: center;
  font-family: "Goblin One";
  color: rgb(38, 41, 46);
  border-radius: 16px;
  background-color: rgba(255, 255, 255, 0.45);
  max-width: 800px;
  margin: auto;
  height: 25vh;
  padding-top: 40px;
  padding-bottom: 34px;
}

.pictures {
  justify-self: center;
}

.zoom {
  padding: 6px;
  background-color: rgba(38, 41, 46);
  transition: transform 0.2s; /* Animation */
  width: 150px;
  margin: 0 auto;
  border-radius: 16px;
}

.zoom:hover {
  transform: scale(1.5);
}

/*styles for Resume page*/

.flex-resume {
  display: grid;
  grid-template-columns: 1fr 2fr;
  grid-template-rows: auto;
  grid-gap: 20px;
  margin-right: 40px;
  grid-template-areas:
    "namesum namesum"
    "skills experience";
  grid-area: flex-resume;
}

.namesum {
  grid-area: namesum;
  text-align: center;
}

.skills {
  grid-area: skills;
  text-align: center;
  background-color: rgb(138, 148, 151);
  border-radius: 20px;
}

.exp {
  text-align: center;
}

li {
  padding: 10px;
}

.experience {
  grid-area: experience;
  background-color: rgb(155, 165, 168);
  border-radius: 20px;
  padding: 15px;
}

hr {
  position: relative;
  margin: 30px;
  height: 10px;
}

/*styles for Portfolio page */

.projects {
  display: grid;
  text-align: center;
  justify-content: center;
  grid-template-columns: repeat(2, 300px);
  grid-template-rows: auto;
  margin-top: 30px;
  grid-gap: 20px;
  grid-area: projects;
}

.blurb {
  grid-area: blurb;
  align-items: center;
}

.flex-port {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: auto;
}

/*  hoverable text overlays that are awesome*/
/* the below class formates the text area */

.textOverImage {
  position: relative;
  width: 300px;
  height: 300px;
  float: left;
  margin: 4px;
  background-size: 100%;
  background-position: center;
  transition: 0.5s;
}
/* creates a slight zoom effect on hover */

.textOverImage:hover {
  background-size: 110%;
}

/* assigns text to text area using attr, and formats appearance, including transparency, and asigns a transition speed of .5 secods*/

.textOverImage:after {
  position: absolute;
  top: 90%;
  bottom: 0;
  left: 0;
  right: 0;
  white-space: pre-wrap;
  overflow: hidden;
  background-color: rgba(0, 0, 0, 0.6);
  color: #fff;
  padding: 0 8px;
  opacity: 0;
  content: attr(data-text);
  transition: 0.5s;
}

.textOverImage:hover:after {
  opacity: 1;
  top: 0;
  padding: 8px;
  background-color: rgba(0, 0, 0, 0.6);
}

/*styles for Contact page*/

.flex-contact {
  display: grid;
  grid-template-columns: 2fr 1fr;
  grid-template-rows: auto;
  grid-template-areas: "contact picture";
  grid-area: flex-contact;
}

.contact {
  grid-area: contact;
}

.contactPicture {
  grid-area: picture;
}

.contactPicture img {
  border: solid;
  border-color: rgba(38, 41, 46);
  border-width: 5px;
  border-radius: 0px 36px 0px 36px;
}

h2 {
  font-size: 24px;
}
h4 {
  font-size: 18px;
}

.footer {
  display: grid;
  grid-area: footer;
  width: 85%;
  align-items: center;
  justify-content: center;
  margin: auto;
  margin-top: 50px;
  padding: 20px;
  background-color: rgb(68, 73, 80);
  border-radius: 90px;
}

.copyright {
  text-align: center;
  color: rgba(255, 255, 255);
}
